/* Override/Extend template.min.css */
@use "detailed-radio-select";
@use "utils";

.hero__container {
  min-height: 10em;
}

.small__paragraph {
  font-size: 1.125em;
  margin-top: 1em;
  margin-bottom: 1em;
}

.large__paragraph {
  font-size: 1.5em;
  margin-top: 1em;
  margin-bottom: 1em;
  line-height: 1.5em;
}

h4, h5, h6 {
  margin-top: 1em;
  margin-bottom: 1em;
}

.section {
  padding: 4em 0;
}

.section-color a.button-outline:hover {
  background-color: var(--theme-background-white);
  color: var(--theme-primary);
}

.button {
  margin: 0 !important;
}

.small-grid {
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
}

.form__group + .form__group {
  margin-top: var(--space-s);
}


.label.label-small {
  line-height: 1.2em;
}

.table tbody th {
    border-top: 1px solid #ebeff3;
    border-top: 1px solid var(--lighter-grey);
}
/* Base */

html {
  height: auto;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-family: Evolventa,Trebuchet MS,sans-serif;
}


.previews {
  display: none;
}

.ac-color-red {
  color: #FF3954;
}
/* header & footer */
.navbar__home {
  height: 10em;
}

.navbar__gouvfr {
  height: 10em;
}

.navbar__logo {
  height: 3em;
  margin-bottom: 1em;
}
.logo__anct {
  margin: 1.5em 0 1.5em 0;
}

.navbar__organisation {
  width: 15em;
  left: 0;
  padding: .5em;
  border-radius: 0 .5em .5em .5em;
}
.navbar__organisation:hover {
  background: #ebeff3;
  background: var(--lighter-grey);
}

/* Container & main */

.container.container-small {
  max-width: 40em;
}

.section__subtitle {
  margin-bottom: 4em;
}


/* Row */

.row div.min-width-35 {
  min-width: 35%;
}
.row div.min-width-15 {
  min-width: 15%;
}


/* Footer */

.footer__social {
  margin: 0;
}

.footer__links {
  margin-top: 1em;
}

.footer__links h2 {
  word-break: break-word;
}

.footer__links a:visited {
  color: #fff;
}

.footer__logo .logo__beta {
  width: 170px;
}


/* Utils */

a.no-decoration {
  color: inherit;
  text-decoration: inherit;
}

.tiles {
  margin: 3em 0;
}

.tile__icon.large__icon {
  height: 4em;
}

.background-color-blue {
  background-color: #0053b3;
}
.background-color-grey {
  background-color: var(--theme-background-grey);
}
.background-color-white {
  background-color: white;
}

.text-very-small {
  font-size: 0.5em;
}

.font-weight-normal {
  font-weight: normal;
}
.font-weight-bold {
  font-weight: bold;
}

.float-left {
  float: left;
}
.float-right {
  float: right;
}

.vertical-align-middle {
  vertical-align: middle;
}

.min-width-35 {
  min-width: 35%;
}
.min-width-50 {
  min-width: 50%;
}
.max-width-50 {
  max-width: 50%;
}

.monospace {
  font-family: monospace, monospace;
}

/* Table */

.table .th-66 {
  width: 66%;
}
.table .th-50 {
  width: 50%;
}
.table .th-40 {
  width: 40%;
}
.table .th-25 {
  width: 25%;
}
.table .th-20 {
  width: 20%;
}


/* Images */

img.logo-height-5em {
  max-height: 5em;
}
img.logo-height-4em {
  max-height: 4em;
}
.logo-in-title {
  height: 2.5em;
  margin: 0 0 .5em;
}

/* Media */

@media (max-width: 749px) {
  form {
    padding: 0 1em;
  }

  input.button:active {
    width: 100%;
  }

  .section {
    padding: 2em 0;
  }
}

/* Forms */
a.button-outline, a.button-outline:active, a.button-outline:focus, a.button-outline:visited, button.button-outline, button.button-outline:active, button.button-outline:focus, button.button-outline:visited, a.button, a.button:active, a.button:focus, a.button:visited, button.button, button.button:active, button.button:focus, button.button:visited, input[type="button"], input[type="button"]:active, input[type="button"]:focus, input[type="button"]:visited, input[type="submit"], input[type="submit"]:active, input[type="submit"]:focus, input[type="submit"]:visited {
    font-family: Evolventa,Trebuchet MS,sans-serif;
}

select {
    /* cancel "appearance:none from template because AC's CSP prevents SVG background from display: */
    -webkit-appearance: auto;
    -moz-appearance: auto;
    appearance: auto;
    /* cancel background-image property to avoid errors in browser console: */
    background: #fff;
    /* other */
    max-width: 100%;
}

/* Accessibility */
/* From https://gist.github.com/ffoodd/000b59f431e3e64e4ce1a24d5bb36034 */

.sr-only {
	border: 0 !important;
	clip: rect(1px, 1px, 1px, 1px) !important;
	-webkit-clip-path: inset(50%) !important;
		clip-path: inset(50%) !important;
	height: 1px !important;
	margin: -1px !important;
	overflow: hidden !important;
	padding: 0 !important;
	position: absolute !important;
	width: 1px !important;
	white-space: nowrap !important;
}
input:focus, select:focus, textarea:focus {
    border-color: #0061c4;
    transition: border-color .2s ease-out;
}
:focus {
  outline: 2px solid var(--theme-border-active);
  outline-offset: 2px;
}
.notification a[href] {
  color: #000;
  color: var(--theme-dark-text);
}

.skip-links {
  background: var(--theme-background-grey);
  transition: transform 0.3s;
  padding: .7em 1em .5em;
  font-size: .9em;
  position: absolute;
  transform: translateY(-100%);
}
.skip-links:focus-within {
  transform: translateY(0);
  position: relative;
}
.skip-links a {
  color: var(--theme-dark-text);
  margin-right: 1em;
}
#top_menu {
  padding: 3em 0; /* used to have top_menu visible on screen just after corresponding skiplink has been followed */
}
